'use strict';

angular
    .module('sloDialectsApp')
    .filter('colorDialect', function() {
        /*var dialects = {
            "halosko_narecje":"#CEBA00",
            "prlesko_narecje":"#635C00",
            "prekmursko_narecje":"#E5E289",
            "slovenskogorisko_narecje":"#999464",
            "stajerska_narecna_skupina":"#22A50C",
            "_sevnisko-krsko_podnarecje":"#5FC474",
            "_zagorsko_trboveljsko_podnarecje":"#00771F",
            "_lasko_podnarecje":"#89EFC3",
            "posavsko_narecje":"#00FC2A",
            "kozjansko-bizeljsko_narecje":"#0EA077",
            "srednjesavinjsko_narecje":"#85EA24",
            "_solcavsko_podnarecje":"#9CC66F",
            "zgornjesavinjsko_narecje":"#00DD93",
            "srednjestajersko_narecje":"#00F71D",
            "juznopohorsko_narecje":"#639338",
            "_kozjasko_podnarecje":"#23490A",
            "dolenjska_narecna_skupina":"#B50B30",
            "_vzhodnodolenjsko_podnarecje":"#6B3C43",
            "dolenjsko_narecje":"#ED7777",
            "kostelsko_narecje":"#ED0A67",
            "mesani_kocevski_govori":"#EF3300",
            "juznobelokranjsko_narecje":"#A30000",
            "severnobelokranjsko_narecje":"#FF2A00",
            "primorska_narecna_skupina":"#ED6000",
            "cisko_narecje":"#594215",
            "notranjsko_narecje":"#75674B",
            "_savrinsko_podnarecje":"#E8BB00",
            "_rizansko_podnarecje":"#AD6105",
            "istrsko_narecje":"#8C815E",
            "krasko_narecje":"#99880B",
            "obsosko_narecje":"#915206",
            "rezijansko_narecje":"#7C760A",
            "tersko_narecje":"#683B05",
            "nadisko_narecje":"#EDD6BC",
            "brisko_narecje":"#EDDEA2",
            "_banjsko_podnarecje":"#4C664C",
            "rovtarska_narecna_skupina":"#0855FF",
            "tolminsko_narecje":"#0BFFFF",
            "_basko_podnarecje":"#060691",
            "skofjelosko_narecje":"#706DF2",
            "horjulsko_narecje":"#2E66B7",
            "crnovrsko_narecje":"#0600FF",
            "cerkljansko_narecje":"#0B1D77",
            "poljansko_narecje":"#585593",
            "gorenjska_narecna_skupina":"#9700F9",
            "gorenjsko_narecje":"#520899",
            "selsko_narecje":"#7F00EF",
            "_vzhodnogorenjsko_podnarecje":"#B79CE2",
            "koroska_narecna_skupina":"#E223BE",
            "ziljsko_narecje":"#870B87",
            "_kranjskogorsko_podnarecje":"#720C7A",
            "rozansko_narecje":"#DC91E2",
            "podjunsko_narecje":"#A80088",
            "obirsko_narecje":"#ED85E1",
            "mezisko_narecje":"#5B1659",
            "severnopohorsko-remsnisko_narecje":"#C683C3",
            "panonska_narecna_skupina":"#EFEF03"
        }*/

        var dialects = {
            "panonska_narecna_skupina":"transparent",
            "halosko_narecje":"#ffff7b",
            "prlesko_narecje":"#ffff7b",
            "prekmursko_narecje":"#ffff7b",
            "slovenskogorisko_narecje":"#ffff7b",

            "stajerska_narecna_skupina":"transparent",
            "_sevnisko-krsko_podnarecje":"#c77e5a",
            "_zagorsko_trboveljsko_podnarecje":"#c77e5a",
            "_lasko_podnarecje":"#c77e5a",
            "posavsko_narecje":"#ff9900",
            "kozjansko-bizeljsko_narecje":"#78c785",
            "srednjesavinjsko_narecje":"#97c77f",
            "_solcavsko_podnarecje":"#aac79b",
            "zgornjesavinjsko_narecje":"#aac79b",
            "srednjestajersko_narecje":"#7ec75a",
            "juznopohorsko_narecje":"#b0ef91",
            "_kozjasko_podnarecje":"#b0ef91",

            /*
            "dolenjska_narecna_skupina":"transparent",
            "_vzhodnodolenjsko_podnarecje":"#c77e5a",
            "dolenjsko_narecje":"#c77e5a",
            "kostelsko_narecje":"#dbbfa7",
            "mesani_kocevski_govori":"#edddc2",
            "juznobelokranjsko_narecje":"#c77e5a",
            "severnobelokranjsko_narecje":"#c77e5a",
            */

            "dolenjska_narecna_skupina":"transparent",
            "_vzhodnodolenjsko_podnarecje":"#ff9900",
            "dolenjsko_narecje":"#ff9900",
            "kostelsko_narecje":"#ff9900",
            "mesani_kocevski_govori":"#ff9900",
            "juznobelokranjsko_narecje":"#ff9900",
            "severnobelokranjsko_narecje":"#ff9900",

            "primorska_narecna_skupina":"transparent",
            "cisko_narecje":"#ff9900",
            "cisko_narecje_2":"#ff9900",
            "notranjsko_narecje":"#ff9900",
            "_savrinsko_podnarecje":"#ff9900",
            "_rizansko_podnarecje":"#ff9900",
            "istrsko_narecje":"#ff9900",
            "krasko_narecje":"#fd9059",
            "obsosko_narecje":"#e9ac9f",
            "rezijansko_narecje":"#f0a086",
            "tersko_narecje":"#f0a086",
            "nadisko_narecje":"#ffc6ac",
            "brisko_narecje":"#ffc6ac",
            "_banjsko_podnarecje":"#fd9059",

            "rovtarska_narecna_skupina":"transparent",
            "tolminsko_narecje":"#a4cdff",
            "_basko_podnarecje":"#a4cdff",
            "skofjelosko_narecje":"#8d93f8",
            "horjulsko_narecje":"#7e89c5",
            "crnovrsko_narecje":"#7dabcc",
            "cerkljansko_narecje":"#549cfa",
            "poljansko_narecje":"#72affb",

            "gorenjska_narecna_skupina":"transparent",
            "gorenjsko_narecje":"#d2a0fc",
            "selsko_narecje":"#8d93f8",
            "_vzhodnogorenjsko_podnarecje":"#d2a0fc",

            "koroska_narecna_skupina":"transparent",
            "ziljsko_narecje":"#ffa4e5",
            "_kranjskogorsko_podnarecje":"#ffa4e5",
            "rozansko_narecje":"#ff83e2",
            "podjunsko_narecje":"#f9bae4",
            "obirsko_narecje":"#ff83e2",
            "mezisko_narecje":"#fea3e9",
            "severnopohorsko-remsnisko_narecje":"#fea3e9",

            // special case:
            "mesani_kocevski_govori_narecje":"#aeaeae"
            
        }

        return function(input) {
            return dialects[input] ? dialects[input] : input;
        };
    });